## net.i2p.router.transport
Class Addresses

    java.lang.Object
      net.i2p.router.transport.Addresses

    public class Addresses

extends Object

Get the local addresses

Author:
  zzz

Constructor Summary
`Addresses()`

Method Summary
`static String[]` `getAddresses()`
`static String` `getAnyAddress()`
`static void` `main(String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Addresses

    public Addresses()

Method Detail

### getAnyAddress

    public static String getAnyAddress()

  Returns:
    the first non-local address it finds, or null

### getAddresses

    public static String[] getAddresses()

  Returns:
    an array of all addresses, excluding IPv6, local, broadcast, multicast, etc.

### main

    public static void main(String[] args)